<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class () extends Migration {
    public function up()
    {
        Schema::create('stocks', function (Blueprint $table) {
            $table->id();

            $table->unsignedBigInteger('store_id');
            $table->unsignedBigInteger('product_id');
            $table->unsignedBigInteger('offer_id');
            $table->decimal('qty', 18, 4);

            $table->timestamps();

            $table->index(['offer_id']);
        });
    }

    public function down()
    {
        Schema::dropIfExists('stocks');
    }
};
